#!/bin/sh

# TF multi part manager by ilov3d
# http://magxcn.com

# any further modify should keep info above.

mkdir -p /ezxlocal/ext3

mypath=${0%/*}

showRadio "Multi-partition tool" "-- by ilove3d" "Setting Up " "Transfer Theme" "Add / Remove self-starting Scripts" "About / Help"
ret=$?
[ $ret -eq 0 ] && exit

case $ret in
	1)
		$mypath/info
		;;
	2)
		mkdir -p /ezxlocal/ext3/skins

		if [ ! -d /ezxlocal/ext3/skins ]
		then
			showQ "" "Please correct partitions and mount before use!" 2
			exit
		fi

		showQ "Transfer Theme" "Please make sure your current theme is the default theme, otherwise the transfer may occur crashes. Whether to continue?" 1
		[ $? -ne 1 ] && exit

		SKIN_PATH=/ezxlocal/download/mystuff/skins
		cd ${SKIN_PATH}
		for i in `ls -1F | grep /$`
		do
			filename="${i%/}"
			chmfile="/ezxlocal/download/appwrite/setuptheme/${filename}.chm"
			if [ -f "${SKIN_PATH}/${filename}/${filename}.chm" ]
			then
				cat "${SKIN_PATH}/${filename}/${filename}.chm" | sed 's,/mmc/movinand/skins,/mmc/ext3/skins,g' | sed "s,${SKIN_PATH},/mmc/ext3/skins,g" > "$chmfile"
			else
				DEF_CHM_FILE=`grep "^CurrentTheme = " "/usr/data_resource/theme/ezx_theme.cfg" | awk '{ print $3 }'`
				cat $DEF_CHM_FILE | sed "s@ThemeName = .*@ThemeName = $filename@" | sed "s@Skin = .*@Skin = ${SKIN_PATH}/${filename}@" > "$chmfile"
			fi
			mv $i /ezxlocal/ext3/skins/
		done

		showQ "Transfer Theme" "The transfer has been complated" 2
		;;
	3)
		if [ ! -f /ezxlocal/download/mystuff/unKnown/S01swapest.txt ]
		then
			cp $mypath/info_load.sh /ezxlocal/download/mystuff/unKnown/S01swapest.txt
			showQ "" "Script added since the launch of application" 2
		else
			rm -f /ezxlocal/download/mystuff/unKnown/S01swapest.txt
			showQ "" "Removed Script Please restart phone." 2
		fi
		;;
	4)
		showQ "Multi-partition tool" "This software prepared by the ilove3d, welcome to visit www.magxcn.com.Translated to english by Nikhil007.Multi-partition will create three partitions, the second partition as a swap partition (virtual memory), the third partition is ext3 storage space. Use MGX File Manager will myfont.ttf copyed / mmc/ext3 / font substitution can be achieved boot the installation to use this tool after the MGS theme transferred to the ext3 partition, use the EXT3 partition themes and fonts can be avoided to connect the memory card mode Computer crash." 2
		;;
	*)
		;;
esac
